# Cilium debug information

#### Cilium encryption



#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                              IPv6        IPv4         STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                    
146        Disabled           Disabled          1          k8s:cilium.io/ci-node=k8s1                                                                        ready   
                                                           k8s:node-role.kubernetes.io/control-plane                                                                 
                                                           k8s:node.kubernetes.io/exclude-from-external-load-balancers                                               
                                                           reserved:host                                                                                             
476        Enabled            Enabled           24846      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default   fd02::1f9   10.0.1.78    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                  
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                           
                                                           k8s:io.kubernetes.pod.namespace=default                                                                   
                                                           k8s:zgroup=testDS                                                                                         
717        Enabled            Enabled           17838      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default   fd02::150   10.0.1.73    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                  
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                           
                                                           k8s:io.kubernetes.pod.namespace=default                                                                   
                                                           k8s:zgroup=testDSClient                                                                                   
1712       Disabled           Disabled          4          reserved:health                                                          fd02::1cc   10.0.1.41    ready   
3705       Enabled            Enabled           8000       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default   fd02::1ba   10.0.1.134   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=default                                                                  
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                           
                                                           k8s:io.kubernetes.pod.namespace=default                                                                   
                                                           k8s:zgroup=test-k8s2                                                                                      
```

#### BPF Policy Get 146

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 146

```
Invalid argument: unknown type 146
```


#### Endpoint Get 146

```
[
  {
    "id": 146,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-146-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d6f8ad94-3a53-4d2a-a722-844d68bd36c8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-146",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:29:58.531Z",
            "success-count": 1
          },
          "uuid": "a66fc55c-2774-4334-86b1-d85a24ba3fb0"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-146",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:47.851Z",
            "success-count": 6
          },
          "uuid": "3e9d8394-09e3-4171-a786-36548bc43858"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (146)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:48.549Z",
            "success-count": 13
          },
          "uuid": "3d65620e-baaf-45d6-a07a-cc65e93ac95b"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "reserved:host",
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "k8s:cilium.io/ci-node=k8s1"
        ]
      },
      "labels": {
        "derived": [
          "k8s:cilium.io/ci-node=k8s1",
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:cilium.io/ci-node=k8s1",
          "k8s:node-role.kubernetes.io/control-plane",
          "k8s:node.kubernetes.io/exclude-from-external-load-balancers",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-04-19T10:30:47Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "2a:55:f1:54:d2:f5",
        "interface-name": "cilium_host",
        "mac": "2a:55:f1:54:d2:f5"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 4
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 146

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 146

```
Timestamp              Status   State                   Message
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:46Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:45Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:45Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:45Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:45Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:12Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:12Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:12Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:12Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2023-04-19T10:30:03Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2023-04-19T10:30:02Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2023-04-19T10:30:01Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2023-04-19T10:29:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:29:58Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-04-19T10:29:58Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-04-19T10:29:58Z   OK       ready                   Set identity for this endpoint
2023-04-19T10:29:58Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 476

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     1          ANY          NONE         2820    33        
Allow    Egress      1          ANY          NONE         0       0         
Allow    Egress      7          ANY          NONE         0       0         

```


#### BPF CT List 476

```
Invalid argument: unknown type 476
```


#### Endpoint Get 476

```
[
  {
    "id": 476,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-476-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "a06c5150-e533-453c-9a3f-9c2a2de64a8d"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-476",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:30:47.472Z",
            "success-count": 1
          },
          "uuid": "509bf070-6419-4e2b-bc83-cb2dfee66f07"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-476",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:42.242Z",
            "success-count": 5
          },
          "uuid": "d2b0304b-f870-491e-80e9-638ca07a0c95"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (476)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:47.493Z",
            "success-count": 8
          },
          "uuid": "fe8c0fea-d8ee-4c11-8dad-2ae5558b3033"
        }
      ],
      "external-identifiers": {
        "container-id": "74e57a4718e22e4d44cc2e63aa1f86c1a70315be7b03e7d6e3d3982c8a932002",
        "k8s-namespace": "default",
        "k8s-pod-name": "testds-8mth8",
        "pod-name": "default/testds-8mth8"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 24846,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:zgroup=testDS",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default"
        ]
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=c8ffd5d8b",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDS"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2023-04-19T10:31:42Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.78",
            "ipv6": "fd02::1f9"
          }
        ],
        "host-mac": "2a:32:fc:7a:86:5d",
        "interface-index": 19,
        "interface-name": "lxc9a12c5f48560",
        "mac": "ee:2d:86:6b:e6:df"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            1,
            7
          ],
          "allowed-ingress-identities": [
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 24846,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=to-entities-kube-apiserver",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=0b1e2a8b-ba09-4ee1-8010-9f786cfb3022"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.kube-apiserver: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "both",
          "policy-revision": 4
        },
        "spec": {
          "allowed-egress-identities": [
            1,
            7
          ],
          "allowed-ingress-identities": [
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 24846,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=to-entities-kube-apiserver",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=0b1e2a8b-ba09-4ee1-8010-9f786cfb3022"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.kube-apiserver: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "both",
          "policy-revision": 4
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 476

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 476

```
Timestamp              Status   State                   Message
2023-04-19T10:31:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:42Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:42Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:31:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:23Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:31:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:09Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-04-19T10:30:47Z   OK       ready                   Set identity for this endpoint
2023-04-19T10:30:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 24846

```
ID      LABELS
24846   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:zgroup=testDS

```


#### BPF Policy Get 717

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     1          ANY          NONE         0       0         
Allow    Egress      1          ANY          NONE         0       0         
Allow    Egress      7          ANY          NONE         0       0         

```


#### BPF CT List 717

```
Invalid argument: unknown type 717
```


#### Endpoint Get 717

```
[
  {
    "id": 717,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-717-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "7e267d43-601e-4a1a-8ebf-0181992e6bbc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-717",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:30:47.515Z",
            "success-count": 1
          },
          "uuid": "4336e5b0-07f5-490c-8240-ea8710736710"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-717",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:42.239Z",
            "success-count": 5
          },
          "uuid": "06a1417b-5863-48f7-add8-fddc8cb689e6"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (717)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:47.546Z",
            "success-count": 8
          },
          "uuid": "06b87ec3-c9ba-4abc-a441-a0d568b65fba"
        }
      ],
      "external-identifiers": {
        "container-id": "4e01e92780e896e4d38f2af87d98f004bc272bbe7cea447d7fcccaaf4eb7a5a1",
        "k8s-namespace": "default",
        "k8s-pod-name": "testclient-xkcw4",
        "pod-name": "default/testclient-xkcw4"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 17838,
        "labels": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:zgroup=testDSClient"
        ]
      },
      "labels": {
        "derived": [
          "k8s:controller-revision-hash=7bdfb47cbf",
          "k8s:pod-template-generation=1"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=testDSClient"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2023-04-19T10:31:42Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.73",
            "ipv6": "fd02::150"
          }
        ],
        "host-mac": "de:39:52:e6:c5:85",
        "interface-index": 17,
        "interface-name": "lxc5e5ac2ffd5a3",
        "mac": "c2:3b:7b:70:66:b7"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            7,
            1
          ],
          "allowed-ingress-identities": [
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 17838,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=to-entities-kube-apiserver",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=0b1e2a8b-ba09-4ee1-8010-9f786cfb3022"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.kube-apiserver: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "both",
          "policy-revision": 4
        },
        "spec": {
          "allowed-egress-identities": [
            1,
            7
          ],
          "allowed-ingress-identities": [
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 17838,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=to-entities-kube-apiserver",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=0b1e2a8b-ba09-4ee1-8010-9f786cfb3022"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.kube-apiserver: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "both",
          "policy-revision": 4
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 717

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 717

```
Timestamp              Status   State                   Message
2023-04-19T10:31:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:42Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:42Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:31:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:23Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:31:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:09Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-04-19T10:30:47Z   OK       ready                   Set identity for this endpoint
2023-04-19T10:30:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 17838

```
ID      LABELS
17838   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default
        k8s:io.cilium.k8s.policy.cluster=default
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=default
        k8s:zgroup=testDSClient

```


#### BPF Policy Get 1712

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         8784    86        
Allow    Ingress     1          ANY          NONE         9102    89        
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 1712

```
Invalid argument: unknown type 1712
```


#### Endpoint Get 1712

```
[
  {
    "id": 1712,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1712-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "b1f995a5-124c-4416-9f86-991ce0f73db1"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1712",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:29:59.561Z",
            "success-count": 1
          },
          "uuid": "78626b58-a98c-4a68-a998-11a3bafb1518"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1712",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:47.852Z",
            "success-count": 6
          },
          "uuid": "3dceb785-8b58-4b92-9616-1d4c834d5ac7"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1712)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:49.569Z",
            "success-count": 13
          },
          "uuid": "770db1fa-3c40-491f-8807-90340980762c"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ]
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2023-04-19T10:30:47Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.41",
            "ipv6": "fd02::1cc"
          }
        ],
        "host-mac": "8e:cd:c5:5a:07:43",
        "interface-index": 13,
        "interface-name": "lxc_health",
        "mac": "12:91:c0:89:05:8a"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 4
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1712

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1712

```
Timestamp              Status   State                   Message
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:46Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:46Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:46Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:46Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:45Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:45Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:45Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:45Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:10Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:10Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2023-04-19T10:30:03Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2023-04-19T10:30:02Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2023-04-19T10:30:01Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:29:59Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-04-19T10:29:59Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-04-19T10:29:59Z   OK       ready                   Set identity for this endpoint
2023-04-19T10:29:58Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 3705

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     1          ANY          NONE         3330    39        
Allow    Egress      1          ANY          NONE         0       0         
Allow    Egress      7          ANY          NONE         0       0         

```


#### BPF CT List 3705

```
Invalid argument: unknown type 3705
```


#### Endpoint Get 3705

```
[
  {
    "id": 3705,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Enabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "Medium",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "SourceIPVerification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3705-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "24bd6721-c0af-4f63-8176-3ad5470d3bac"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3705",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:30:47.512Z",
            "success-count": 1
          },
          "uuid": "445a844f-8d06-47f4-b510-84f0817fc449"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3705",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:42.239Z",
            "success-count": 5
          },
          "uuid": "3222c416-bd26-49c8-b6a4-5328fd051cd8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3705)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2023-04-19T10:31:57.535Z",
            "success-count": 9
          },
          "uuid": "0c1c8313-9307-4ecf-ba8f-c4000d4eb3c7"
        }
      ],
      "external-identifiers": {
        "container-id": "691ae094b1a36fa5be3c4bbbb7c99a92b4c7b6dcbfcc58231b5bfbb7e9f3ca24",
        "k8s-namespace": "default",
        "k8s-pod-name": "test-k8s2-655b888d6b-bndd8",
        "pod-name": "default/test-k8s2-655b888d6b-bndd8"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 8000,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:zgroup=test-k8s2",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default"
        ]
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=655b888d6b"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default",
          "k8s:io.cilium.k8s.policy.cluster=default",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=default",
          "k8s:zgroup=test-k8s2"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: policy rules added)",
          "state": "ready",
          "timestamp": "2023-04-19T10:31:42Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.0.1.134",
            "ipv6": "fd02::1ba"
          }
        ],
        "host-mac": "ba:59:18:6c:06:b4",
        "interface-index": 15,
        "interface-name": "lxc45516e308854",
        "mac": "d6:29:95:12:1a:7f"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            1,
            7
          ],
          "allowed-ingress-identities": [
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8000,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=to-entities-kube-apiserver",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=0b1e2a8b-ba09-4ee1-8010-9f786cfb3022"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.kube-apiserver: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "both",
          "policy-revision": 4
        },
        "spec": {
          "allowed-egress-identities": [
            1,
            7
          ],
          "allowed-ingress-identities": [
            1
          ],
          "build": 4,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 8000,
          "l4": {
            "egress": [
              {
                "derived-from-rules": [
                  [
                    "k8s:io.cilium.k8s.policy.derived-from=CiliumNetworkPolicy",
                    "k8s:io.cilium.k8s.policy.name=to-entities-kube-apiserver",
                    "k8s:io.cilium.k8s.policy.namespace=default",
                    "k8s:io.cilium.k8s.policy.uid=0b1e2a8b-ba09-4ee1-8010-9f786cfb3022"
                  ]
                ],
                "rule": {
            "l7-rules": [
              {
                "\u0026LabelSelector{MatchLabels:map[string]string{reserved.kube-apiserver: ,},MatchExpressions:[]LabelSelectorRequirement{},}": null
              }
            ],
            "port": 0,
            "protocol": "ANY"
          }
              }
            ],
            "ingress": []
          },
          "policy-enabled": "both",
          "policy-revision": 4
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Enabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "Medium",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "SourceIPVerification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3705

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3705

```
Timestamp              Status   State                   Message
2023-04-19T10:31:42Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:42Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:42Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:42Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:31:23Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:23Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:23Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:23Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:31:10Z   OK       ready                   Successfully regenerated endpoint program (Reason: policy rules added)
2023-04-19T10:31:10Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:31:09Z   OK       regenerating            Regenerating endpoint: policy rules added
2023-04-19T10:31:09Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to policy rules added
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2023-04-19T10:30:47Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2023-04-19T10:30:47Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2023-04-19T10:30:47Z   OK       regenerating            Regenerating endpoint: updated security labels
2023-04-19T10:30:47Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2023-04-19T10:30:47Z   OK       ready                   Set identity for this endpoint
2023-04-19T10:30:47Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 8000

```
ID     LABELS
8000   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=default
       k8s:io.cilium.k8s.policy.cluster=default
       k8s:io.cilium.k8s.policy.serviceaccount=default
       k8s:io.kubernetes.pod.namespace=default
       k8s:zgroup=test-k8s2

```


#### Service list

```
ID    Frontend                                     Service Type   Backend                            
1     10.109.138.51:3000                           ClusterIP      1 => 10.0.0.202:3000 (active)      
2     10.97.221.43:9090                            ClusterIP      1 => 10.0.0.110:9090 (active)      
3     10.110.97.164:443                            ClusterIP      1 => 192.168.56.11:4244 (active)   
4     10.96.0.1:443                                ClusterIP      1 => 192.168.56.11:6443 (active)   
5     10.96.0.10:53                                ClusterIP      1 => 10.0.0.200:53 (active)        
6     10.96.0.10:9153                              ClusterIP      1 => 10.0.0.200:9153 (active)      
7     10.107.114.179:69                            ClusterIP      1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
8     10.107.114.179:80                            ClusterIP      1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
9     10.99.246.221:10080                          ClusterIP      1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
10    10.99.246.221:10069                          ClusterIP      1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
11    192.168.59.15:30375                          NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
12    10.0.2.15:30375                              NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
13    192.168.56.11:30375                          NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
14    0.0.0.0:30375                                NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
15    10.0.2.15:31549                              NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
16    192.168.56.11:31549                          NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
17    192.168.59.15:31549                          NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
18    0.0.0.0:31549                                NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
19    10.107.101.26:10080                          ClusterIP      1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
20    10.107.101.26:10069                          ClusterIP      1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
21    10.0.2.15:32471                              NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
22    192.168.56.11:32471                          NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
23    192.168.59.15:32471                          NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
24    0.0.0.0:32471                                NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
25    10.0.2.15:30550                              NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
26    192.168.56.11:30550                          NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
27    192.168.59.15:30550                          NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
28    0.0.0.0:30550                                NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
29    10.100.111.33:10080                          ClusterIP      1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
30    10.100.111.33:10069                          ClusterIP      1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
31    10.0.2.15:32011                              NodePort       1 => 10.0.1.78:80 (active)         
32    10.0.2.15:32011/i                            NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
33    192.168.56.11:32011                          NodePort       1 => 10.0.1.78:80 (active)         
34    192.168.56.11:32011/i                        NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
35    192.168.59.15:32011                          NodePort       1 => 10.0.1.78:80 (active)         
36    192.168.59.15:32011/i                        NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
37    0.0.0.0:32011                                NodePort       1 => 10.0.1.78:80 (active)         
38    0.0.0.0:32011/i                              NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
39    10.0.2.15:30039                              NodePort       1 => 10.0.1.78:69 (active)         
40    10.0.2.15:30039/i                            NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
41    192.168.56.11:30039                          NodePort       1 => 10.0.1.78:69 (active)         
42    192.168.56.11:30039/i                        NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
43    0.0.0.0:30039                                NodePort       1 => 10.0.1.78:69 (active)         
44    0.0.0.0:30039/i                              NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
45    192.168.59.15:30039                          NodePort       1 => 10.0.1.78:69 (active)         
46    192.168.59.15:30039/i                        NodePort       1 => 10.0.1.78:69 (active)         
                                                                  2 => 10.0.0.107:69 (active)        
47    10.111.2.129:10080                           ClusterIP      1 => 10.0.1.134:80 (active)        
48    10.111.2.129:10069                           ClusterIP      1 => 10.0.1.134:69 (active)        
49    0.0.0.0:30246                                NodePort       1 => 10.0.1.134:80 (active)        
50    0.0.0.0:30246/i                              NodePort       1 => 10.0.1.134:80 (active)        
51    192.168.56.11:30246                          NodePort       1 => 10.0.1.134:80 (active)        
52    192.168.56.11:30246/i                        NodePort       1 => 10.0.1.134:80 (active)        
53    192.168.59.15:30246                          NodePort       1 => 10.0.1.134:80 (active)        
54    192.168.59.15:30246/i                        NodePort       1 => 10.0.1.134:80 (active)        
55    10.0.2.15:30246                              NodePort       1 => 10.0.1.134:80 (active)        
56    10.0.2.15:30246/i                            NodePort       1 => 10.0.1.134:80 (active)        
57    192.168.59.15:31107                          NodePort       1 => 10.0.1.134:69 (active)        
58    192.168.59.15:31107/i                        NodePort       1 => 10.0.1.134:69 (active)        
59    10.0.2.15:31107                              NodePort       1 => 10.0.1.134:69 (active)        
60    10.0.2.15:31107/i                            NodePort       1 => 10.0.1.134:69 (active)        
61    192.168.56.11:31107                          NodePort       1 => 10.0.1.134:69 (active)        
62    192.168.56.11:31107/i                        NodePort       1 => 10.0.1.134:69 (active)        
63    0.0.0.0:31107                                NodePort       1 => 10.0.1.134:69 (active)        
64    0.0.0.0:31107/i                              NodePort       1 => 10.0.1.134:69 (active)        
65    10.111.204.111:10069                         ClusterIP      1 => 10.0.1.134:69 (active)        
66    10.111.204.111:10080                         ClusterIP      1 => 10.0.1.134:80 (active)        
67    192.168.59.15:30387                          NodePort       1 => 10.0.1.134:69 (active)        
68    10.0.2.15:30387                              NodePort       1 => 10.0.1.134:69 (active)        
69    192.168.56.11:30387                          NodePort       1 => 10.0.1.134:69 (active)        
70    0.0.0.0:30387                                NodePort       1 => 10.0.1.134:69 (active)        
71    192.168.59.15:30958                          NodePort       1 => 10.0.1.134:80 (active)        
72    10.0.2.15:30958                              NodePort       1 => 10.0.1.134:80 (active)        
73    192.168.56.11:30958                          NodePort       1 => 10.0.1.134:80 (active)        
74    0.0.0.0:30958                                NodePort       1 => 10.0.1.134:80 (active)        
75    10.108.135.239:80                            ClusterIP      1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
76    192.168.59.15:30970                          NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
77    10.0.2.15:30970                              NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
78    192.168.56.11:30970                          NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
79    0.0.0.0:30970                                NodePort       1 => 10.0.1.78:80 (active)         
                                                                  2 => 10.0.0.107:80 (active)        
80    10.96.78.73:80                               ClusterIP      1 => 10.0.1.134:80 (active)        
81    192.168.59.15:31039                          NodePort       1 => 10.0.1.134:80 (active)        
82    192.168.59.15:31039/i                        NodePort       1 => 10.0.1.134:80 (active)        
83    10.0.2.15:31039                              NodePort       1 => 10.0.1.134:80 (active)        
84    10.0.2.15:31039/i                            NodePort       1 => 10.0.1.134:80 (active)        
85    192.168.56.11:31039                          NodePort       1 => 10.0.1.134:80 (active)        
86    192.168.56.11:31039/i                        NodePort       1 => 10.0.1.134:80 (active)        
87    0.0.0.0:31039                                NodePort       1 => 10.0.1.134:80 (active)        
88    0.0.0.0:31039/i                              NodePort       1 => 10.0.1.134:80 (active)        
89    192.168.59.15:8080                           HostPort       1 => 10.0.1.134:80 (active)        
90    10.0.2.15:8080                               HostPort       1 => 10.0.1.134:80 (active)        
91    192.168.56.11:8080                           HostPort       1 => 10.0.1.134:80 (active)        
92    0.0.0.0:8080                                 HostPort       1 => 10.0.1.134:80 (active)        
93    [fd04::11]:8080                              HostPort       1 => [fd02::1ba]:80 (active)       
94    [fd17:625c:f037:2:a00:27ff:fed3:a42e]:8080   HostPort       1 => [fd02::1ba]:80 (active)       
95    [::]:8080                                    HostPort       1 => [fd02::1ba]:80 (active)       
96    10.0.2.15:6969                               HostPort       1 => 10.0.1.134:69 (active)        
97    192.168.56.11:6969                           HostPort       1 => 10.0.1.134:69 (active)        
98    192.168.59.15:6969                           HostPort       1 => 10.0.1.134:69 (active)        
99    0.0.0.0:6969                                 HostPort       1 => 10.0.1.134:69 (active)        
100   [fd17:625c:f037:2:a00:27ff:fed3:a42e]:6969   HostPort       1 => [fd02::1ba]:69 (active)       
101   [fd04::11]:6969                              HostPort       1 => [fd02::1ba]:69 (active)       
102   [::]:6969                                    HostPort       1 => [fd02::1ba]:69 (active)       
```

#### Cilium memory map


```
00400000-02afa000 r-xp 00000000 fd:00 3153285                            /usr/bin/cilium-agent
02afa000-0555b000 r--p 026fa000 fd:00 3153285                            /usr/bin/cilium-agent
0555b000-05680000 rw-p 0515b000 fd:00 3153285                            /usr/bin/cilium-agent
05680000-05e0e000 rw-p 00000000 00:00 0                                  [heap]
c000000000-c003000000 rw-p 00000000 00:00 0 
c003000000-c004800000 rw-p 00000000 00:00 0 
c004800000-c008000000 ---p 00000000 00:00 0 
7fffd04f0000-7fffd0705000 rw-p 00000000 00:00 0 
7fffd0705000-7fffd0746000 rw-s 00000000 00:0e 3081                       anon_inode:[perf_event]
7fffd0746000-7fffd0787000 rw-s 00000000 00:0e 3081                       anon_inode:[perf_event]
7fffd0787000-7fffd07c8000 rw-s 00000000 00:0e 3081                       anon_inode:[perf_event]
7fffd07c8000-7fffd07ca000 rw-s 00000000 00:0e 3081                       anon_inode:[perf_event]
7fffd07ca000-7fffd07cc000 rw-s 00000000 00:0e 3081                       anon_inode:[perf_event]
7fffd07cc000-7fffd07ce000 rw-s 00000000 00:0e 3081                       anon_inode:[perf_event]
7fffd07ce000-7fffd3000000 rw-p 00000000 00:00 0 
7fffd3000000-7fffd3200000 rw-p 00000000 00:00 0 
7fffd3200000-7fffd32a0000 rw-p 00000000 00:00 0 
7fffd32a0000-7fffe3819000 ---p 00000000 00:00 0 
7fffe3819000-7fffe381a000 rw-p 00000000 00:00 0 
7fffe381a000-7ffff56c9000 ---p 00000000 00:00 0 
7ffff56c9000-7ffff56ca000 rw-p 00000000 00:00 0 
7ffff56ca000-7ffff7a9f000 ---p 00000000 00:00 0 
7ffff7a9f000-7ffff7aa0000 rw-p 00000000 00:00 0 
7ffff7aa0000-7ffff7f19000 ---p 00000000 00:00 0 
7ffff7f19000-7ffff7f1a000 rw-p 00000000 00:00 0 
7ffff7f1a000-7ffff7f99000 ---p 00000000 00:00 0 
7ffff7f99000-7ffff7ff9000 rw-p 00000000 00:00 0 
7ffff7ff9000-7ffff7ffd000 r--p 00000000 00:00 0                          [vvar]
7ffff7ffd000-7ffff7fff000 r-xp 00000000 00:00 0                          [vdso]
7ffffffde000-7ffffffff000 rw-p 00000000 00:00 0                          [stack]
ffffffffff600000-ffffffffff601000 --xp 00000000 00:00 0                  [vsyscall]

```


#### Cilium environment keys

```
log-opt:
ipv6-range:auto
ipam-cilium-node-update-rate:15s
bpf-filter-priority:1
pprof-address:localhost
kvstore-connectivity-timeout:2m0s
mesh-auth-mtls-listener-port:0
mke-cgroup-mount:
bpf-ct-timeout-regular-any:1m0s
vtep-cidr:
restore:true
bpf-ct-timeout-service-any:1m0s
identity-allocation-mode:crd
proxy-gid:1337
hubble-export-file-compress:false
enable-health-checking:true
enable-k8s-terminating-endpoint:true
tofqdns-max-deferred-connection-deletes:10000
policy-trigger-interval:1s
tofqdns-proxy-port:0
datapath-mode:veth
enable-bpf-masquerade:true
cluster-pool-ipv6-mask-size:120
hubble-recorder-sink-queue-size:1024
node-port-acceleration:disabled
disable-cnp-status-updates:false
enable-auto-protect-node-port-range:true
enable-external-ips:true
node-encryption-opt-out-labels:node-role.kubernetes.io/control-plane
ipsec-key-rotation-duration:5m0s
iptables-lock-timeout:5s
bpf-ct-timeout-regular-tcp-fin:10s
cilium-endpoint-gc-interval:5m0s
identity-restore-grace-period:10m0s
install-egress-gateway-routes:false
conntrack-gc-interval:0s
k8s-namespace:kube-system
identity-heartbeat-timeout:30m0s
ipv4-native-routing-cidr:10.0.0.0/8
k8s-require-ipv6-pod-cidr:false
cmdref:
k8s-heartbeat-timeout:30s
bpf-policy-map-max:16384
ipv6-mcast-device:
k8s-client-qps:0
sidecar-istio-proxy-image:cilium/istio_proxy
vlan-bpf-bypass:
bypass-ip-availability-upon-restore:false
dns-policy-unload-on-shutdown:false
procfs:/host/proc
keep-config:false
local-router-ipv6:
bpf-ct-global-tcp-max:524288
join-cluster:false
debug:true
auto-create-cilium-node-resource:true
trace-payloadlen:128
enable-vtep:false
lib-dir:/var/lib/cilium
enable-bpf-clock-probe:true
monitor-aggregation-interval:5s
policy-queue-size:100
monitor-queue-size:0
envoy-log:
cluster-id:0
bpf-lb-sock:false
enable-monitor:true
enable-icmp-rules:true
enable-session-affinity:true
k8s-require-ipv4-pod-cidr:true
enable-endpoint-routes:false
vtep-endpoint:
mesh-auth-spiffe-trust-domain:spiffe.cilium.io
pprof:true
policy-audit-mode:false
ipv4-pod-subnets:
debug-verbose:flow
ipv4-node:auto
enable-wireguard:false
pprof-port:6060
enable-ipv6-ndp:false
identity-gc-interval:15m0s
enable-ipv6-masquerade:false
enable-ipv6-big-tcp:false
hubble-export-file-path:
exclude-local-address:
unmanaged-pod-watcher-interval:15
dnsproxy-concurrency-limit:0
nodes-gc-interval:5m0s
operator-api-serve-addr:127.0.0.1:9234
enable-local-node-route:true
endpoint-gc-interval:5m0s
enable-hubble:true
egress-multi-home-ip-rule-compat:false
crd-wait-timeout:5m0s
mesh-auth-spire-admin-socket:
log-driver:
hubble-tls-cert-file:/var/lib/cilium/tls/hubble/server.crt
derive-masquerade-ip-addr-from-device:
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
bpf-fragments-map-max:8192
bpf-ct-timeout-service-tcp-grace:1m0s
enable-pmtu-discovery:false
enable-policy:default
bpf-lb-service-map-max:0
enable-tracing:false
hubble-disable-tls:false
mesh-auth-monitor-queue-size:1024
hubble-metrics-server:
agent-health-port:9879
egress-masquerade-interfaces:
ipv6-native-routing-cidr:fd02::/112
set-cilium-node-taints:true
install-iptables-rules:true
endpoint-status:
enable-srv6:false
kube-proxy-replacement:strict
bpf-map-event-buffers:
bgp-config-path:/var/lib/cilium/bgp/config.yaml
enable-stale-cilium-endpoint-cleanup:true
cluster-name:default
encrypt-interface:
synchronize-k8s-nodes:true
bpf-lb-maglev-table-size:16381
enable-sctp:false
bpf-lb-rss-ipv6-src-cidr:
enable-endpoint-health-checking:true
preallocate-bpf-maps:false
proxy-prometheus-port:0
api-rate-limit:
disable-endpoint-crd:false
kvstore-lease-ttl:15m0s
direct-routing-device:
enable-health-check-nodeport:true
http-403-msg:
custom-cni-conf:false
bpf-root:/sys/fs/bpf
gops-port:9890
http-request-timeout:3600
cgroup-root:/run/cilium/cgroupv2
install-no-conntrack-iptables-rules:false
hubble-export-file-max-backups:5
encrypt-node:false
cluster-pool-ipv4-cidr:10.0.0.0/8
http-normalize-path:true
ip-masq-agent-config-path:/etc/config/ip-masq-agent
enable-recorder:false
srv6-encap-mode:reduced
hubble-tls-client-ca-files:/var/lib/cilium/tls/hubble/client-ca.crt
kvstore:
bpf-lb-external-clusterip:false
enable-k8s-endpoint-slice:true
bpf-lb-acceleration:disabled
fqdn-regex-compile-lru-size:1024
enable-nat46x64-gateway:false
kvstore-max-consecutive-quorum-errors:2
single-cluster-route:false
tofqdns-proxy-response-max-delay:100ms
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
skip-cnp-status-startup-clean:false
set-cilium-is-up-condition:true
cni-chaining-mode:none
enable-mke:false
version:false
dnsproxy-lock-count:128
state-dir:/var/run/cilium
tofqdns-pre-cache:
local-router-ipv4:
enable-node-port:false
enable-bpf-tproxy:false
enable-host-port:true
bpf-ct-global-any-max:262144
enable-runtime-device-detection:false
endpoint-queue-size:25
k8s-client-burst:0
bpf-ct-timeout-regular-tcp:6h0m0s
bpf-ct-timeout-service-tcp:6h0m0s
enable-ipv4-masquerade:true
cni-exclusive:true
cflags:
routing-mode:native
trace-sock:true
dnsproxy-lock-timeout:500ms
ipv6-service-range:auto
hubble-prefer-ipv6:false
enable-host-legacy-routing:false
tofqdns-enable-dns-compression:true
tunnel-port:0
bpf-lb-dev-ip-addr-inherit:
socket-path:/var/run/cilium/cilium.sock
tofqdns-endpoint-max-ip-per-hostname:50
ip-allocation-timeout:2m0s
node-port-mode:snat
hubble-tls-key-file:/var/lib/cilium/tls/hubble/server.key
tunnel:
ipv4-service-loopback-address:169.254.42.1
enable-remote-node-identity:true
bpf-lb-dsr-dispatch:opt
ipv6-pod-subnets:
monitor-aggregation:medium
annotate-k8s-node:false
enable-cilium-endpoint-slice:true
node-port-algorithm:random
bpf-lb-algorithm:random
bpf-map-dynamic-size-ratio:0.0025
node-port-range:
enable-k8s-networkpolicy:true
ipv6-cluster-alloc-cidr:f00d::/64
bgp-announce-lb-ip:false
proxy-max-connection-duration-seconds:0
disable-envoy-version-check:false
enable-ip-masq-agent:false
devices:enp0s8 enp0s3 enp0s16
max-controller-interval:0
enable-bbr:false
ipam:cluster-pool
agent-labels:
enable-ipv4-fragment-tracking:true
enable-unreachable-routes:false
enable-hubble-recorder-api:true
bpf-sock-rev-map-max:262144
hubble-recorder-storage-path:/var/run/cilium/pcaps
k8s-service-proxy-name:
enable-host-firewall:false
metrics:
ipv6-node:auto
config-sources:config-map:kube-system/cilium-config
read-cni-conf:
enable-well-known-identities:false
clustermesh-config:/var/lib/cilium/clustermesh/
allow-icmp-frag-needed:true
cluster-pool-ipv4-mask-size:24
node-port-bind-protection:true
fixed-identity-mapping:
dnsproxy-concurrency-processing-grace-period:0s
certificates-directory:/var/run/cilium/certs
hubble-listen-address::4244
enable-identity-mark:true
enable-ipv6:true
allow-localhost:auto
enable-bandwidth-manager:false
envoy-config-timeout:2m0s
config-dir:/tmp/cilium/config-map
prometheus-serve-addr::9962
proxy-connect-timeout:2
tofqdns-idle-connection-grace-period:0s
enable-ipv4-egress-gateway:false
hubble-event-buffer-capacity:65535
bpf-lb-rev-nat-map-max:0
enable-envoy-config:false
disable-iptables-feeder-rules:
bpf-lb-rss-ipv4-src-cidr:
bpf-lb-dsr-l4-xlate:frontend
auto-direct-node-routes:true
identity-change-grace-period:5s
bgp-announce-pod-cidr:false
local-max-addr-scope:252
enable-ipv4:true
enable-wireguard-userspace-fallback:false
monitor-aggregation-flags:all
bpf-lb-sock-hostns-only:false
allocator-list-timeout:3m0s
enable-l2-neigh-discovery:true
vtep-mask:
enable-local-redirect-policy:false
http-retry-timeout:0
config:
ipsec-key-file:
route-metric:0
iptables-random-fully:false
cni-log-file:/var/run/cilium/cilium-cni.log
k8s-sync-timeout:3m0s
bpf-lb-maglev-map-max:0
bpf-auth-map-max:524288
k8s-kubeconfig-path:
vtep-mac:
enable-k8s:true
log-system-load:true
hubble-event-queue-size:0
dns-max-ips-per-restored-rule:1000
agent-not-ready-taint-key:node.cilium.io/agent-not-ready
kube-proxy-replacement-healthz-bind-address:
prepend-iptables-chains:true
k8s-service-cache-size:128
egress-gateway-policy-map-max:16384
bpf-lb-mode:snat
ipv4-range:auto
ipv4-service-range:auto
k8s-api-server:
enable-bgp-control-plane:false
hubble-socket-path:/var/run/cilium/hubble.sock
write-cni-conf-when-ready:/host/etc/cni/net.d/05-cilium.conflist
enable-l7-proxy:true
mtu:0
cluster-health-port:4240
http-retry-count:3
kvstore-opt:
tofqdns-min-ttl:0
cluster-pool-ipv6-cidr:fd02::/112
bpf-lb-service-backend-map-max:0
enable-xt-socket-fallback:true
enable-custom-calls:false
enable-k8s-api-discovery:false
http-max-grpc-timeout:0
enable-ipsec:false
enable-service-topology:false
kvstore-periodic-sync:5m0s
bpf-nat-global-max:524288
bpf-ct-timeout-regular-tcp-syn:1m0s
hubble-metrics:
labels:
http-idle-timeout:0
bpf-lb-affinity-map-max:0
bpf-lb-source-range-map-max:0
enable-k8s-event-handover:false
tofqdns-dns-reject-response-code:refused
bpf-lb-map-max:65536
proxy-max-requests-per-connection:0
label-prefix-file:
enable-xdp-prefilter:false
arping-refresh-period:30s
remove-cilium-node-taints:true
hubble-export-file-max-size-mb:10
enable-svc-source-range-check:true
bpf-neigh-global-max:524288
tunnel-protocol:vxlan
hubble-skip-unknown-cgroup-ids:true
```


#### Policy get

```
:
 [
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "default"
      }
    },
    "ingress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "cnp-default-deny-ingress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "default",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "8f9dab32-b69e-4a33-9f2d-b1a89b6157da",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "default"
      }
    },
    "egress": [
      {}
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "cnp-default-deny-egress",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "default",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "38f48b42-8c19-4482-a873-bb7722a201e3",
        "source": "k8s"
      }
    ]
  },
  {
    "endpointSelector": {
      "matchLabels": {
        "k8s:io.kubernetes.pod.namespace": "default"
      }
    },
    "egress": [
      {
        "toEntities": [
          "kube-apiserver"
        ]
      }
    ],
    "labels": [
      {
        "key": "io.cilium.k8s.policy.derived-from",
        "value": "CiliumNetworkPolicy",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.name",
        "value": "to-entities-kube-apiserver",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.namespace",
        "value": "default",
        "source": "k8s"
      },
      {
        "key": "io.cilium.k8s.policy.uid",
        "value": "0b1e2a8b-ba09-4ee1-8010-9f786cfb3022",
        "source": "k8s"
      }
    ]
  }
]
Revision: 4

```


#### ipam

```
<nil>
```


#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0005db1e0)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc00074ec00,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 1
    },
    readerWait: (atomic.Int32) {
     _: (atomic.noCopy) {
     },
     v: (int32) 0
    }
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=13) {
  (k8s.ServiceID) default/test-nodeport-local-k8s2: (*k8s.Service)(0xc003369d90)(frontends:[10.111.2.129]/ports=[http tftp]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) default/test-nodeport-k8s2: (*k8s.Service)(0xc000bb2370)(frontends:[10.111.204.111]/ports=[http tftp]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc000764210)(frontends:[10.96.0.10]/ports=[dns dns-tcp metrics]/selector=map[k8s-app:kube-dns]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc000764790)(frontends:[10.96.0.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) default/test-nodeport: (*k8s.Service)(0xc003369080)(frontends:[10.99.246.221]/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) default/test-nodeport-local: (*k8s.Service)(0xc0031ad340)(frontends:[10.100.111.33]/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) default/test-affinity: (*k8s.Service)(0xc0033694a0)(frontends:[10.107.101.26]/ports=[http tftp]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) default/test-lb: (*k8s.Service)(0xc000bb2420)(frontends:[10.108.135.239]/ports=[http]/selector=map[zgroup:testDS]),
  (k8s.ServiceID) default/test-lb-local-k8s2: (*k8s.Service)(0xc000bb24d0)(frontends:[10.96.78.73]/ports=[http]/selector=map[zgroup:test-k8s2]),
  (k8s.ServiceID) cilium-monitoring/grafana: (*k8s.Service)(0xc000764580)(frontends:[10.109.138.51]/ports=[]/selector=map[app:grafana]),
  (k8s.ServiceID) cilium-monitoring/prometheus: (*k8s.Service)(0xc000764630)(frontends:[10.97.221.43]/ports=[webui]/selector=map[app:prometheus]),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.Service)(0xc0007646e0)(frontends:[10.110.97.164]/ports=[peer-service]/selector=map[k8s-app:cilium]),
  (k8s.ServiceID) default/testds-service: (*k8s.Service)(0xc00164afd0)(frontends:[10.107.114.179]/ports=[http tftp]/selector=map[zgroup:testDS])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=13) {
  (k8s.ServiceID) cilium-monitoring/prometheus: (*k8s.EndpointSlices)(0xc0010e04a8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=16) "prometheus-d4z57": (*k8s.Endpoints)(0xc0010e0958)(10.0.0.110:9090/TCP)
   }
  }),
  (k8s.ServiceID) default/test-nodeport: (*k8s.EndpointSlices)(0xc000cff438)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "test-nodeport-bb2sr": (*k8s.Endpoints)(0xc0010e0fc0)(10.0.0.107:69/UDP,10.0.0.107:80/TCP,10.0.1.78:69/UDP,10.0.1.78:80/TCP)
   }
  }),
  (k8s.ServiceID) default/test-affinity: (*k8s.EndpointSlices)(0xc000cff460)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=19) "test-affinity-zdw5n": (*k8s.Endpoints)(0xc0010e0fa0)(10.0.0.107:69/UDP,10.0.0.107:80/TCP,10.0.1.78:69/UDP,10.0.1.78:80/TCP)
   }
  }),
  (k8s.ServiceID) default/test-nodeport-k8s2: (*k8s.EndpointSlices)(0xc000cff520)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "test-nodeport-k8s2-chvdn": (*k8s.Endpoints)(0xc00071ed38)(10.0.1.134:69/UDP,10.0.1.134:80/TCP)
   }
  }),
  (k8s.ServiceID) default/test-lb-local-k8s2: (*k8s.EndpointSlices)(0xc000cff5d8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=24) "test-lb-local-k8s2-twxwz": (*k8s.Endpoints)(0xc00071ed50)(10.0.1.134:80/TCP)
   }
  }),
  (k8s.ServiceID) cilium-monitoring/grafana: (*k8s.EndpointSlices)(0xc000cfe6d8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=13) "grafana-wnhts": (*k8s.Endpoints)(0xc00071eb60)(10.0.0.202:3000/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/hubble-peer: (*k8s.EndpointSlices)(0xc0010e04c8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=17) "hubble-peer-fjhcl": (*k8s.Endpoints)(0xc00071f6c0)(192.168.56.11:4244/TCP,192.168.56.12:4244/TCP)
   }
  }),
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc0010e04e8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc0010e04e0)(192.168.56.11:6443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc0010e0508)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-lcvgz": (*k8s.Endpoints)(0xc0010e0b18)(10.0.0.200:53/TCP,10.0.0.200:53/UDP,10.0.0.200:9153/TCP)
   }
  }),
  (k8s.ServiceID) default/testds-service: (*k8s.EndpointSlices)(0xc0010e0b88)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "testds-service-swgtn": (*k8s.Endpoints)(0xc00071f728)(10.0.0.107:69/UDP,10.0.0.107:80/TCP,10.0.1.78:69/UDP,10.0.1.78:80/TCP)
   }
  }),
  (k8s.ServiceID) default/test-nodeport-local: (*k8s.EndpointSlices)(0xc000cff490)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=25) "test-nodeport-local-zz5w7": (*k8s.Endpoints)(0xc0010e0f88)(10.0.0.107:69/UDP,10.0.0.107:80/TCP,10.0.1.78:69/UDP,10.0.1.78:80/TCP)
   }
  }),
  (k8s.ServiceID) default/test-nodeport-local-k8s2: (*k8s.EndpointSlices)(0xc00071ec18)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=30) "test-nodeport-local-k8s2-4znj6": (*k8s.Endpoints)(0xc00071ed20)(10.0.1.134:69/UDP,10.0.1.134:80/TCP)
   }
  }),
  (k8s.ServiceID) default/test-lb: (*k8s.EndpointSlices)(0xc000cff590)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=13) "test-lb-55nsw": (*k8s.Endpoints)(0xc00071f668)(10.0.0.107:80/TCP,10.0.1.78:80/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5bf8620)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) "",
 ServiceMutators: ([]func(*v1.Service, *k8s.Service)) <nil>
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### Cilium version

```
1.13.90 296fc490 2023-04-06T18:06:00+02:00 go version go1.20.2 linux/amd64
```


#### Kernel version

```
6.2.0
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.26 (v1.26.3) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "cilium/v2alpha1::CiliumCIDRGroup", "cilium/v2alpha1::CiliumEndpointSlice", "core/v1::Namespace", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [enp0s16 192.168.59.15 fd17:625c:f037:2:a00:27ff:fed3:a42e, enp0s3 10.0.2.15 fd04::11, enp0s8 192.168.56.11 fd04::11 (Direct Routing)]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.13.90 (v1.13.90-296fc490)
NodeMonitor:            Listening for events on 3 CPUs with 64x4096 of shared memory
Cilium health daemon:   Ok   
IPAM:                   IPv4: 5/254 allocated from 10.0.1.0/24, IPv6: 5/254 allocated from fd02::100/120
Allocated addresses:
  10.0.1.134 (default/test-k8s2-655b888d6b-bndd8)
  10.0.1.245 (router)
  10.0.1.41 (health)
  10.0.1.73 (default/testclient-xkcw4)
  10.0.1.78 (default/testds-8mth8)
  fd02::150 (default/testclient-xkcw4)
  fd02::1af (router)
  fd02::1ba (default/test-k8s2-655b888d6b-bndd8)
  fd02::1cc (health)
  fd02::1f9 (default/testds-8mth8)
IPv6 BIG TCP:           Disabled
BandwidthManager:       Disabled
Host Routing:           BPF
Masquerading:           BPF   [enp0s16, enp0s3, enp0s8]   10.0.0.0/8 [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   ktime
Controller Status:      35/35 healthy
  Name                                                             Last success   Last error   Count   Message
  cilium-health-ep                                                 58s ago        never        0       no error   
  dns-garbage-collector-job                                        1m1s ago       never        0       no error   
  endpoint-146-regeneration-recovery                               never          never        0       no error   
  endpoint-1712-regeneration-recovery                              never          never        0       no error   
  endpoint-3705-regeneration-recovery                              never          never        0       no error   
  endpoint-476-regeneration-recovery                               never          never        0       no error   
  endpoint-717-regeneration-recovery                               never          never        0       no error   
  endpoint-gc                                                      2m2s ago       never        0       no error   
  ipcache-inject-labels                                            2m0s ago       never        0       no error   
  k8s-heartbeat                                                    31s ago        never        0       no error   
  link-cache                                                       14s ago        never        0       no error   
  metricsmap-bpf-prom-sync                                         6s ago         never        0       no error   
  resolve-identity-146                                             1m59s ago      never        0       no error   
  resolve-identity-1712                                            1m58s ago      never        0       no error   
  resolve-identity-3705                                            1m10s ago      never        0       no error   
  resolve-identity-476                                             1m10s ago      never        0       no error   
  resolve-identity-717                                             1m10s ago      never        0       no error   
  sync-cnp-policy-status (v2 default/cnp-default-deny-egress)      34s ago        never        0       no error   
  sync-cnp-policy-status (v2 default/cnp-default-deny-ingress)     48s ago        never        0       no error   
  sync-cnp-policy-status (v2 default/to-entities-kube-apiserver)   15s ago        never        0       no error   
  sync-host-ips                                                    59s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                                   1m59s ago      never        0       no error   
  sync-policymap-146                                               10s ago        never        0       no error   
  sync-policymap-1712                                              10s ago        never        0       no error   
  sync-policymap-3705                                              15s ago        never        0       no error   
  sync-policymap-476                                               15s ago        never        0       no error   
  sync-policymap-717                                               15s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (146)                                 9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (1712)                                8s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (3705)                                10s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (476)                                 10s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (717)                                 10s ago        never        0       no error   
  sync-utime                                                       1m2s ago       never        0       no error   
  template-dir-watcher                                             never          never        0       no error   
  write-cni-file                                                   2m2s ago       never        0       no error   
Proxy Status:            OK, ip 10.0.1.245, 0 redirects active on ports 10000-20000
Global Identity Range:   min 256, max 65535
Hubble:                  Ok   Current/Max Flows: 647/65535 (0.99%), Flows/s: 3.08   Metrics: Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB:              Enabled
  Socket LB Tracing:      Enabled
  Socket LB Coverage:     Full
  Devices:                enp0s16 192.168.59.15 fd17:625c:f037:2:a00:27ff:fed3:a42e, enp0s3 10.0.2.15 fd04::11, enp0s8 192.168.56.11 fd04::11 (Direct Routing)
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:
  - Services:         Enabled
  - Gateway:          Disabled
  XDP Acceleration:   Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Auth                          524288
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  Events                        3
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Session affinity              65536
  Signal                        3
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled   
```
