[
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 31549,
        "scope": "external"
      },
      "id": 14
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 31549,
          "scope": "external"
        },
        "id": 14
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30246,
        "scope": "external"
      },
      "id": 53
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30246,
          "scope": "external"
        },
        "id": 53
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 31107,
        "scope": "external"
      },
      "id": 59
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 31107,
          "scope": "external"
        },
        "id": 59
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.200",
          "nodeName": "k8s2",
          "port": 53,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "kube-dns",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.96.0.10",
        "port": 53,
        "scope": "external"
      },
      "id": 3
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.200",
            "nodeName": "k8s2",
            "port": 53,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "kube-dns",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.96.0.10",
          "port": 53,
          "scope": "external"
        },
        "id": 3
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 32011,
        "scope": "external"
      },
      "id": 35
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 32011,
          "scope": "external"
        },
        "id": 35
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 31107,
        "scope": "internal"
      },
      "id": 58
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 31107,
          "scope": "internal"
        },
        "id": 58
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.111.204.111",
        "port": 10080,
        "scope": "external"
      },
      "id": 65
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.111.204.111",
          "port": 10080,
          "scope": "external"
        },
        "id": 65
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 31039,
        "scope": "internal"
      },
      "id": 86
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 31039,
          "scope": "internal"
        },
        "id": 86
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 32011,
        "scope": "internal"
      },
      "id": 32
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 32011,
          "scope": "internal"
        },
        "id": 32
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 31549,
        "scope": "external"
      },
      "id": 13
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 31549,
          "scope": "external"
        },
        "id": 13
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30375,
        "scope": "external"
      },
      "id": 15
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30375,
          "scope": "external"
        },
        "id": 15
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.107.101.26",
        "port": 10080,
        "scope": "external"
      },
      "id": 19
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.107.101.26",
          "port": 10080,
          "scope": "external"
        },
        "id": 19
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 32471,
        "scope": "external"
      },
      "id": 24
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 32471,
          "scope": "external"
        },
        "id": 24
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 32011,
        "scope": "internal"
      },
      "id": 38
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 32011,
          "scope": "internal"
        },
        "id": 38
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 31107,
        "scope": "internal"
      },
      "id": 64
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 31107,
          "scope": "internal"
        },
        "id": 64
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-lb",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30970,
        "scope": "external"
      },
      "id": 78
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-lb",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30970,
          "scope": "external"
        },
        "id": 78
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 31549,
        "scope": "external"
      },
      "id": 11
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 31549,
          "scope": "external"
        },
        "id": 11
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30039,
        "scope": "external"
      },
      "id": 39
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30039,
          "scope": "external"
        },
        "id": 39
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.111.2.129",
        "port": 10069,
        "scope": "external"
      },
      "id": 48
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.111.2.129",
          "port": 10069,
          "scope": "external"
        },
        "id": 48
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30550,
        "scope": "external"
      },
      "id": 26
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30550,
          "scope": "external"
        },
        "id": 26
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30039,
        "scope": "external"
      },
      "id": 45
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30039,
          "scope": "external"
        },
        "id": 45
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30387,
        "scope": "external"
      },
      "id": 72
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30387,
          "scope": "external"
        },
        "id": 72
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-lb",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30970,
        "scope": "external"
      },
      "id": 79
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-lb",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30970,
          "scope": "external"
        },
        "id": 79
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.107.101.26",
        "port": 10069,
        "scope": "external"
      },
      "id": 20
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.107.101.26",
          "port": 10069,
          "scope": "external"
        },
        "id": 20
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30039,
        "scope": "internal"
      },
      "id": 42
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30039,
          "scope": "internal"
        },
        "id": 42
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30246,
        "scope": "external"
      },
      "id": 55
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30246,
          "scope": "external"
        },
        "id": 55
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 31107,
        "scope": "internal"
      },
      "id": 62
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 31107,
          "scope": "internal"
        },
        "id": 62
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-lb",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30970,
        "scope": "external"
      },
      "id": 76
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-lb",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30970,
          "scope": "external"
        },
        "id": 76
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 32011,
        "scope": "external"
      },
      "id": 37
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 32011,
          "scope": "external"
        },
        "id": 37
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30039,
        "scope": "external"
      },
      "id": 41
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30039,
          "scope": "external"
        },
        "id": 41
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 31107,
        "scope": "external"
      },
      "id": 63
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 31107,
          "scope": "external"
        },
        "id": 63
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.111.204.111",
        "port": 10069,
        "scope": "external"
      },
      "id": 66
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.111.204.111",
          "port": 10069,
          "scope": "external"
        },
        "id": 66
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30039,
        "scope": "internal"
      },
      "id": 40
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30039,
          "scope": "internal"
        },
        "id": 40
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 32011,
        "scope": "external"
      },
      "id": 31
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 32011,
          "scope": "external"
        },
        "id": 31
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30039,
        "scope": "internal"
      },
      "id": 44
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30039,
          "scope": "internal"
        },
        "id": 44
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30387,
        "scope": "external"
      },
      "id": 74
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30387,
          "scope": "external"
        },
        "id": 74
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 31039,
        "scope": "internal"
      },
      "id": 84
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 31039,
          "scope": "internal"
        },
        "id": 84
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.110",
          "nodeName": "k8s2",
          "port": 9090,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "prometheus",
        "namespace": "cilium-monitoring",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.97.221.43",
        "port": 9090,
        "scope": "external"
      },
      "id": 6
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.110",
            "nodeName": "k8s2",
            "port": 9090,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "prometheus",
          "namespace": "cilium-monitoring",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.97.221.43",
          "port": 9090,
          "scope": "external"
        },
        "id": 6
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 32471,
        "scope": "external"
      },
      "id": 22
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 32471,
          "scope": "external"
        },
        "id": 22
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30550,
        "scope": "external"
      },
      "id": 27
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30550,
          "scope": "external"
        },
        "id": 27
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 32011,
        "scope": "external"
      },
      "id": 33
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 32011,
          "scope": "external"
        },
        "id": 33
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.111.2.129",
        "port": 10080,
        "scope": "external"
      },
      "id": 47
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.111.2.129",
          "port": 10080,
          "scope": "external"
        },
        "id": 47
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30246,
        "scope": "external"
      },
      "id": 49
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30246,
          "scope": "external"
        },
        "id": 49
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30246,
        "scope": "external"
      },
      "id": 51
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30246,
          "scope": "external"
        },
        "id": 51
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30958,
        "scope": "external"
      },
      "id": 70
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30958,
          "scope": "external"
        },
        "id": 70
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "testds-service",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.107.114.179",
        "port": 69,
        "scope": "external"
      },
      "id": 8
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "testds-service",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.107.114.179",
          "port": 69,
          "scope": "external"
        },
        "id": 8
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "testds-service",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.107.114.179",
        "port": 80,
        "scope": "external"
      },
      "id": 7
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "testds-service",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.107.114.179",
          "port": 80,
          "scope": "external"
        },
        "id": 7
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.99.246.221",
        "port": 10069,
        "scope": "external"
      },
      "id": 9
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.99.246.221",
          "port": 10069,
          "scope": "external"
        },
        "id": 9
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30375,
        "scope": "external"
      },
      "id": 16
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30375,
          "scope": "external"
        },
        "id": 16
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.100.111.33",
        "port": 10069,
        "scope": "external"
      },
      "id": 29
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.100.111.33",
          "port": 10069,
          "scope": "external"
        },
        "id": 29
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 31107,
        "scope": "external"
      },
      "id": 57
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 31107,
          "scope": "external"
        },
        "id": 57
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30958,
        "scope": "external"
      },
      "id": 67
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30958,
          "scope": "external"
        },
        "id": 67
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-lb",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30970,
        "scope": "external"
      },
      "id": 77
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-lb",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30970,
          "scope": "external"
        },
        "id": 77
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "192.168.56.12",
          "nodeName": "k8s2",
          "port": 4244,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Local",
        "name": "hubble-peer",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.110.97.164",
        "port": 443,
        "scope": "external"
      },
      "id": 1
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "192.168.56.12",
            "nodeName": "k8s2",
            "port": 4244,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Local",
          "name": "hubble-peer",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.110.97.164",
          "port": 443,
          "scope": "external"
        },
        "id": 1
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 31039,
        "scope": "external"
      },
      "id": 81
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 31039,
          "scope": "external"
        },
        "id": 81
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 32471,
        "scope": "external"
      },
      "id": 21
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 32471,
          "scope": "external"
        },
        "id": 21
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 32011,
        "scope": "internal"
      },
      "id": 34
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 32011,
          "scope": "internal"
        },
        "id": 34
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 31107,
        "scope": "internal"
      },
      "id": 60
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 31107,
          "scope": "internal"
        },
        "id": 60
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30375,
        "scope": "external"
      },
      "id": 17
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30375,
          "scope": "external"
        },
        "id": 17
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 31549,
        "scope": "external"
      },
      "id": 12
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 31549,
          "scope": "external"
        },
        "id": 12
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.100.111.33",
        "port": 10080,
        "scope": "external"
      },
      "id": 30
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.100.111.33",
          "port": 10080,
          "scope": "external"
        },
        "id": 30
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30246,
        "scope": "internal"
      },
      "id": 50
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30246,
          "scope": "internal"
        },
        "id": 50
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30387,
        "scope": "external"
      },
      "id": 71
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30387,
          "scope": "external"
        },
        "id": 71
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 31039,
        "scope": "internal"
      },
      "id": 82
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 31039,
          "scope": "internal"
        },
        "id": 82
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 31039,
        "scope": "external"
      },
      "id": 87
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 31039,
          "scope": "external"
        },
        "id": 87
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.200",
          "nodeName": "k8s2",
          "port": 9153,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "kube-dns",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.96.0.10",
        "port": 9153,
        "scope": "external"
      },
      "id": 4
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.200",
            "nodeName": "k8s2",
            "port": 9153,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "kube-dns",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.96.0.10",
          "port": 9153,
          "scope": "external"
        },
        "id": 4
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 32471,
        "scope": "external"
      },
      "id": 23
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 32471,
          "scope": "external"
        },
        "id": 23
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30039,
        "scope": "internal"
      },
      "id": 46
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30039,
          "scope": "internal"
        },
        "id": 46
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 31107,
        "scope": "external"
      },
      "id": 61
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 31107,
          "scope": "external"
        },
        "id": 61
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30958,
        "scope": "external"
      },
      "id": 68
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30958,
          "scope": "external"
        },
        "id": 68
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.96.78.73",
        "port": 80,
        "scope": "external"
      },
      "id": 80
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.96.78.73",
          "port": 80,
          "scope": "external"
        },
        "id": 80
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.202",
          "nodeName": "k8s2",
          "port": 3000,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "grafana",
        "namespace": "cilium-monitoring",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.109.138.51",
        "port": 3000,
        "scope": "external"
      },
      "id": 5
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.202",
            "nodeName": "k8s2",
            "port": 3000,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "grafana",
          "namespace": "cilium-monitoring",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.109.138.51",
          "port": 3000,
          "scope": "external"
        },
        "id": 5
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.99.246.221",
        "port": 10080,
        "scope": "external"
      },
      "id": 10
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.99.246.221",
          "port": 10080,
          "scope": "external"
        },
        "id": 10
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30550,
        "scope": "external"
      },
      "id": 28
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30550,
          "scope": "external"
        },
        "id": 28
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30246,
        "scope": "internal"
      },
      "id": 52
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30246,
          "scope": "internal"
        },
        "id": 52
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30246,
        "scope": "internal"
      },
      "id": 54
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30246,
          "scope": "internal"
        },
        "id": 54
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-lb",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.108.135.239",
        "port": 80,
        "scope": "external"
      },
      "id": 75
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-lb",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.108.135.239",
          "port": 80,
          "scope": "external"
        },
        "id": 75
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 31039,
        "scope": "external"
      },
      "id": 83
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 31039,
          "scope": "external"
        },
        "id": 83
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 31039,
        "scope": "external"
      },
      "id": 85
    },
    "status": {
      "realized": {
        "backend-addresses": [],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 31039,
          "scope": "external"
        },
        "id": 85
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "192.168.56.11",
          "port": 6443,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "kubernetes",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.96.0.1",
        "port": 443,
        "scope": "external"
      },
      "id": 2
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "192.168.56.11",
            "port": 6443,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "kubernetes",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.96.0.1",
          "port": 443,
          "scope": "external"
        },
        "id": 2
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "healthCheckNodePort": 31239,
        "intTrafficPolicy": "Cluster",
        "name": "test-lb-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 31039,
        "scope": "internal"
      },
      "id": 88
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "healthCheckNodePort": 31239,
          "intTrafficPolicy": "Cluster",
          "name": "test-lb-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 31039,
          "scope": "internal"
        },
        "id": 88
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-affinity",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30550,
        "scope": "external"
      },
      "id": 25
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-affinity",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30550,
          "scope": "external"
        },
        "id": 25
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 32011,
        "scope": "internal"
      },
      "id": 36
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 32011,
          "scope": "internal"
        },
        "id": 36
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local-k8s2",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30246,
        "scope": "internal"
      },
      "id": 56
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local-k8s2",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30246,
          "scope": "internal"
        },
        "id": 56
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.78",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        },
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30375,
        "scope": "external"
      },
      "id": 18
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.78",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          },
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30375,
          "scope": "external"
        },
        "id": 18
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 80,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.59.15",
        "port": 30958,
        "scope": "external"
      },
      "id": 69
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 80,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.59.15",
          "port": 30958,
          "scope": "external"
        },
        "id": 69
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.1.134",
          "nodeName": "k8s1",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Cluster",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-k8s2",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "192.168.56.12",
        "port": 30387,
        "scope": "external"
      },
      "id": 73
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.1.134",
            "nodeName": "k8s1",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Cluster",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-k8s2",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "192.168.56.12",
          "port": 30387,
          "scope": "external"
        },
        "id": 73
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.0.0.107",
          "nodeName": "k8s2",
          "port": 69,
          "state": "active",
          "weight": 100
        }
      ],
      "flags": {
        "extTrafficPolicy": "Local",
        "intTrafficPolicy": "Cluster",
        "name": "test-nodeport-local",
        "namespace": "default",
        "trafficPolicy": "Local",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.0.2.15",
        "port": 30039,
        "scope": "external"
      },
      "id": 43
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.0.0.107",
            "nodeName": "k8s2",
            "port": 69,
            "state": "active",
            "weight": 100
          }
        ],
        "flags": {
          "extTrafficPolicy": "Local",
          "intTrafficPolicy": "Cluster",
          "name": "test-nodeport-local",
          "namespace": "default",
          "trafficPolicy": "Local",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.0.2.15",
          "port": 30039,
          "scope": "external"
        },
        "id": 43
      }
    }
  }
]

